Debian Bug report logs - #369378
linux-2.6: Dell CERC ATA100/4ch with >128GB disks not supported

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Janusz Krzysztofik <jkrzyszt@tis.icnet.pl>

Date: Mon, 29 May 2006 13:03:01 UTC

Severity: normal

Tags: patch, wontfix

Found in version 2.6.17-9

Fixed in version 2.6.26-1

Done: Moritz Muehlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#369378; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Janusz Krzysztofik <jkrzyszt@tis.icnet.pl>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Janusz Krzysztofik <jkrzyszt@tis.icnet.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-2.6: Dell CERC ATA100/4ch not supported by any driver in 2.6.16
Date: Mon, 29 May 2006 14:56:44 +0200
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Severity: normal
Tags: patch

In order to use a 2.6.16 linux kernel on our Dell PowerEdge 1600SC with
CERC ATA100/4ch raid controller I had to apply th following patch to the
legacy megaraid driver to support the device.

The new driver (megaraid_mbox) recognized the device, displayed some
info on its configuration, but did not provide the system with any
disks. I guess it does not support CERC ATA100/4ch at all.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.16-1-d2
Locale: LANG=pl_PL, LC_CTYPE=pl_PL (charmap=ISO-8859-2)
[megaraid_cerc_ata100.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#369378; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Janusz Krzysztofik <jkrzyszt@tis.icnet.pl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 369378@bugs.debian.org (full text, mbox):

From: Janusz Krzysztofik <jkrzyszt@tis.icnet.pl>
To: 374792@bugs.debian.org, 369378@bugs.debian.org
Cc: Tijl Van den Broeck <subspawn@gmail.com>
Subject: Re: Concerning Bug#369378: linux-2.6: Dell CERC ATA100/4ch not supported by any driver in 2.6.16
Date: Tue, 05 Sep 2006 15:08:00 +0200
Tijl Van den Broeck wrote:
> ...
> But it's rather annoying if we're constantly needed to rebuild a
> patched kernel with every update. I've seen that by now the patch is
> included in the mm kernel series. Do you have any info that it will
> ever be included in the vanilla kernel or in the debian patches? It
> would be great if it would be included mainstream.
>

Bad news:

> NACK - This addition will create PCI ID overlapping with megaraid_{mbox,mm} module under driver/scsi/megaraid.
> Since 2.6.16, we have removed some IDs in the megaraid module under driver/scsi to address ID overlappijng issue.
> Please switch to megaraid_{mbox,mm} module for the controller support. megaraid module under driver/scsi is dedicated to very old products.
> 
> Seokmann

So I think we should:
- close the bug #369378 regarding the old megaraid driver as wontfix,
- solve the bug #374792 regarding the new megaraid_mbox.

I have currently no way to check if the megaraid_mbox module from the 
latest unstable Debian kernel (2.6.17-8) already supports CERC 
ATA100-4ch, so it would be great if someone could do this, please. If 
the device is still not supported, the bug #374792 severity should be 
probably promoted from whishlist to something more serious.

Greetings,
Janusz Krzysztofik



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#369378; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Janusz Krzysztofik <jkrzyszt@tis.icnet.pl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 369378@bugs.debian.org (full text, mbox):

From: Janusz Krzysztofik <jkrzyszt@tis.icnet.pl>
To: 369378@bugs.debian.org
Subject: Re: Bug#369378: linux-2.6: Dell CERC ATA100/4ch not supported by any driver in 2.6.16
Date: Wed, 27 Sep 2006 18:50:02 +0200
Tags: wontfix

Janusz Krzysztofik wrote:
> Ju, Seokmann wrote:
> ...
>> Technically, I would recommend you to check F/W version and make sure 
>> it is not higher than 6.61.
>> I believe the problem happens with 6.62 or higher.
> 
> Bingo! megaraid_mbox works for me with F/W 6.61. How did you know?

As my initial report contained a patch against the old megaraid driver 
that was not accepted upstream, and I reported a workaround for the new 
megaraid_mbox driver (bug #374792), I decided to close this bug with 
wontfix tag.

Thank you,
Janusz




Tags removed: patch Request was from Janusz Krzysztofik <jkrzyszt@tis.icnet.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from Janusz Krzysztofik <jkrzyszt@tis.icnet.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Janusz Krzysztofik <jkrzyszt@tis.icnet.pl>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Janusz Krzysztofik <jkrzyszt@tis.icnet.pl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 369378-done@bugs.debian.org (full text, mbox):

From: Janusz Krzysztofik <jkrzyszt@tis.icnet.pl>
To: 369378-done@bugs.debian.org
Subject: Re: Bug#369378: linux-2.6: Dell CERC ATA100/4ch not supported by any driver in 2.6.16
Date: Wed, 27 Sep 2006 20:39:30 +0200
As my initial report contained a patch against the old megaraid driver 
that was not accepted upstream, and I reported a workaround for the new 
megaraid_mbox driver (bug #374792), I decided to close this bug with 
wontfix tag.

Thank you,
Janusz



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#369378; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Janusz Krzysztofik <jkrzyszt@tis.icnet.pl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 369378@bugs.debian.org (full text, mbox):

From: Janusz Krzysztofik <jkrzyszt@tis.icnet.pl>
To: 369378@bugs.debian.org
Cc: control@bugs.debian.org
Subject: linux-2.6: Dell CERC ATA100/4ch with >128GB disks not supported by any driver in etch
Date: Wed, 25 Oct 2006 15:46:59 +0200
package linux-2.6
reopen 369378
tags 369378 + patch
found 369378 2.6.17-9
retitle 369378 linux-2.6: Dell CERC ATA100/4ch with >128GB disks not supported
found 374792 2.6.17-9
tags 374792 + wontfix
thanks

stephane matis" <s.matis@gmail.com> wrote:
> Unfortunately, FW 6.61 doesn't seem to support disks capacity over
> 128G, a condition I noted after downgrading from 6.67.  I confirmed
> the same behavior with two brands of 200G disks.

So my workaround (firmware downgrade + magaraid_mbox) does not solve
the problem.

Janusz



Bug reopened, originator not changed. Request was from Janusz Krzysztofik <jkrzyszt@tis.icnet.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Janusz Krzysztofik <jkrzyszt@tis.icnet.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 2.6.17-9. Request was from Janusz Krzysztofik <jkrzyszt@tis.icnet.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Janusz Krzysztofik <jkrzyszt@tis.icnet.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#369378; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Janusz Krzysztofik <jkrzyszt@tis.icnet.pl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 369378@bugs.debian.org (full text, mbox):

From: Janusz Krzysztofik <jkrzyszt@tis.icnet.pl>
To: "Ju, Seokmann" <Seokmann.Ju@lsil.com>
Cc: akpm@osdl.org, James.Bottomley@steeleye.com, linux-scsi@vger.kernel.org, 395174@bugs.debian.org, 374792@bugs.debian.org, 369378@bugs.debian.org
Subject: Re: [patch 18/24] megaraid: Dell CERC ATA100/4ch support
Date: Wed, 25 Oct 2006 15:58:42 +0200
Hi Seokmann,

Janusz Krzysztofik wrote:
> Ju, Seokmann wrote:
>> Technically, I would recommend you to check F/W version and make sure 
>> it is not higher than 6.61.
>> I believe the problem happens with 6.62 or higher.
> 
> Bingo! megaraid_mbox works for me with F/W 6.61. How did you know?

Then, akpm@osdl.org wrote:
> The patch titled
> 
>      magaraid: check for firmware version
> 
> has been added to the -mm tree.  Its filename is
> 
>      megaraid-check-for-firmware-version.patch

But "stephane matis" <s.matis@gmail.com> wrote:
> Unfortunately, FW 6.61 doesn't seem to support disks capacity over
> 128G, a condition I noted after downgrading from 6.67.  I confirmed
> the same behavior with two brands of 200G disks.

So the patch does not really solve the problem and probably should be
removed from the -mm tree.

However, Ju, Seokmann wrote:
> Janusz Krzysztofik wrote:
>> Will you accept a patch that limits PCI IDs with VID=101E, DID=1960 and
>> SSVID=1028 in the new driver to exactly three models specified in its 
>> source file comments and, on the other hand, adds PCI ID of Dell CERC 
>> ATA100/4ch to the old driver?
> I've forwarded your request to program management team. But, I don't think it will be accepted.

So I ask the question again: could a patch like described above be accepted
until the problem with F/W >6.61 is solved in the new megaraid_mbox driver?

Cheers,
Janusz



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#369378; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to tkrah@fachschaft.imn.htwk-leipzig.de:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 369378@bugs.debian.org (full text, mbox):

From: Torsten Krah <tkrah@fachschaft.imn.htwk-leipzig.de>
To: 369378@bugs.debian.org
Subject: Fixed upstream 2.6.26
Date: Wed, 6 Aug 2008 13:22:52 +0200
[Message part 1 (text/plain, inline)]
http://bugzilla.kernel.org/show_bug.cgi?id=6695

Fixed upstream in 2.6.26.
[smime.p7s (application/pkcs7-signature, attachment)]

Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Sun, 21 Dec 2008 01:42:03 GMT) Full text and rfc822 format available.

Notification sent to Janusz Krzysztofik <jkrzyszt@tis.icnet.pl>:
Bug acknowledged by developer. (Sun, 21 Dec 2008 01:42:03 GMT) Full text and rfc822 format available.

Message #52 received at 369378-done@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Torsten Krah <tkrah@fachschaft.imn.htwk-leipzig.de>
Cc: 369378-done@bugs.debian.org
Subject: Re: Fixed upstream 2.6.26
Date: Sun, 21 Dec 2008 02:36:04 +0100
On Wed, Aug 06, 2008 at 01:22:52PM +0200, Torsten Krah wrote:
> http://bugzilla.kernel.org/show_bug.cgi?id=6695
> 
> Fixed upstream in 2.6.26.

Thanks, closing the bug then.

Cheers,
        Moritz






Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Sun, 21 Dec 2008 01:42:04 GMT) Full text and rfc822 format available.

Notification sent to Janusz Krzysztofik <jkrzyszt@tis.icnet.pl>:
Bug acknowledged by developer. (Sun, 21 Dec 2008 01:42:04 GMT) Full text and rfc822 format available.

Message #57 received at 369378-done@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Torsten Krah <tkrah@fachschaft.imn.htwk-leipzig.de>
Cc: 369378-done@bugs.debian.org
Subject: Re: Fixed upstream 2.6.26
Date: Sun, 21 Dec 2008 02:36:36 +0100
Version: 2.6.26-1

On Wed, Aug 06, 2008 at 01:22:52PM +0200, Torsten Krah wrote:
> http://bugzilla.kernel.org/show_bug.cgi?id=6695
> 
> Fixed upstream in 2.6.26.

Closing properly versioned.

Cheers,
        Moritz




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 18 Jan 2009 07:29:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:17:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.